summaryrefslogtreecommitdiffstats
path: root/games/circuslinux
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:29:13 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:13 +0200
commit66110dd26e421661e8fd69fccf3777564b866307 (patch)
treef10e19f382a4479ce78077d1721c49dfe03ff10e /games/circuslinux
parentb321db836f405a8bfb9bd6ce2da29b9835c231d9 (diff)
downloadslackbuilds-66110dd26e421661e8fd69fccf3777564b866307.tar.gz
slackbuilds-66110dd26e421661e8fd69fccf3777564b866307.tar.xz
games/circuslinux: Added to 12.2 repository
Diffstat (limited to 'games/circuslinux')
-rw-r--r--games/circuslinux/README9
-rw-r--r--games/circuslinux/circuslinux.678
-rw-r--r--games/circuslinux/circuslinux.SlackBuild77
-rw-r--r--games/circuslinux/circuslinux.desktop8
-rw-r--r--games/circuslinux/circuslinux.info8
-rw-r--r--games/circuslinux/doinst.sh4
-rw-r--r--games/circuslinux/slack-desc19
7 files changed, 203 insertions, 0 deletions
diff --git a/games/circuslinux/README b/games/circuslinux/README
new file mode 100644
index 0000000000..3b22c6c86a
--- /dev/null
+++ b/games/circuslinux/README
@@ -0,0 +1,9 @@
+"Circus Linux!" is a clone of the Atari 2600 game "Circus Atari," produced
+by Atari, Inc. (which is itself a clone of an earlier arcade game named,
+simply "Circus").
+
+The object is to move a teeter-totter back and forth across the screen
+to bounce clowns up into the air. When they reach the top, they pop rows
+of balloons and then fall back down.
+
+(The gameplay is similar to the classics "Breakout" and "Arkanoid.")
diff --git a/games/circuslinux/circuslinux.6 b/games/circuslinux/circuslinux.6
new file mode 100644
index 0000000000..c5db0d0274
--- /dev/null
+++ b/games/circuslinux/circuslinux.6
@@ -0,0 +1,78 @@
+.TH CIRCUSLINUX "6" "April 2009" "New Breed Software" "Games"
+.SH NAME
+circuslinux \- Clone of the Atari 2600 game "Circus Atari"
+.SH SYNOPSIS
+.B circuslinux
+[\fIoptions...\fR]
+.SH DESCRIPTION
+"Circus Linux!" is a clone of the Atari 2600 game "Circus Atari," produced
+by Atari, Inc. (which is itself a clone of an earlier arcade game named,
+simply "Circus").
+.P
+The object is to move a teeter-totter back and forth across the screen
+to bounce clowns up into the air. When they reach the top, they pop rows
+of balloons and then fall back down.
+.P
+(The gameplay is similar to the classics "Breakout" and "Arkanoid.")
+.P
+During gameplay, the mouse or joystick is used to move the teeter\-totter,
+and any mouse/joystick button is used to launch a new clown (to start the
+level) and to flip the teeter\-totter (after a clown has been launched).
+.SH OPTIONS
+.TP
+\fB\-\-disable\-sound\fR, \fB\-\-nosound\fR, \fB\-q\fR
+Disable sound and music.
+.TP
+\fB\-\-fullscreen\fR, \fB\-f\fR
+Display in full screen instead of a window, if possible.
+.TP
+\fB\-\-digital\fR, \fB\-d\fR
+Joystick will be seen as a digital game pad, not analog.
+.TP
+\fB\-\-paddle\fR, \fB\-p\fR
+Joystick will be seen as a real Atari paddle.
+.TP
+\fB\-\-low\fR, \fB\-l\fR
+Use less graphics to work on lower\-end hardware.
+.TP
+\fB\-\-help\fR, \fB\-h\fR
+Display help on playing the game.
+.TP
+\fB\-\-usage\fR, \fB\-u\fR
+Display this usage information.
+.TP
+\fB\-\-version\fR, \fB\-v\fR
+Display what version you're running.
+.TP
+\fB\-\-copying\fR, \fB\-c\fR
+Display copying (GPL) information.
+.SH FILES
+.TP
+\fB/usr/share/circuslinux/data\fR
+game data (images, music, sound)
+.TP
+\fB$HOME/.circuslinux\fR
+per\-user settings and high\-score records
+.SH AUTHORS
+Programming: Bill Kendrick
+.br
+Graphics: Manu Parssinen and Bill Kendrick
+.br
+Music: Jarkko Rotsten
+.P
+New Breed Software's web site is located at
+.br
+.nh
+\fBhttp://www.newbreedsoftware.com/\fR
+.hy
+.P
+Man page created by B. Watson for SlackBuilds.org project (but others
+are free to use it)
+.SH COPYRIGHT
+Copyright \(co 2000, New Breed Software
+.P
+Circus Linux! is free software; you can redistribute it
+and/or modify it under the terms of the GNU General Public
+License as published by the Free Software Foundation;
+either version 2 of the License, or (at your option) any
+later version.
diff --git a/games/circuslinux/circuslinux.SlackBuild b/games/circuslinux/circuslinux.SlackBuild
new file mode 100644
index 0000000000..50e1acec85
--- /dev/null
+++ b/games/circuslinux/circuslinux.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for circuslinux
+
+# Written by B. Watson (yalhcru@gmail.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=circuslinux
+VERSION=${VERSION:-1.0.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-joystick
+
+# easier to manually fix TARGET_DEF than delve into the obsolete
+# autoconf/automake mess that ships with the source...
+make TARGET_DEF=LINUX
+
+# 'make install' doesn't properly respect DESTDIR, so manually install it
+install -sDm755 $PRGNAM $PKG/usr/games/$PRGNAM
+mkdir -p $PKG/usr/share/$PRGNAM/data
+cp -ar \
+ data/images data/music data/sounds\
+ $PKG/usr/share/$PRGNAM/data
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/pixmaps
+( cd $PKG/usr/share/pixmaps
+ ln -s ../$PRGNAM/data/images/icon.png $PRGNAM.png
+)
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/man/man6
+gzip -9c $CWD/$PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/circuslinux/circuslinux.desktop b/games/circuslinux/circuslinux.desktop
new file mode 100644
index 0000000000..81430a3d64
--- /dev/null
+++ b/games/circuslinux/circuslinux.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Circus Linux
+Exec=circuslinux
+Type=Application
+Icon=circuslinux
+GenericName=Circus Linux Game
+Categories=Game;Arcade;
diff --git a/games/circuslinux/circuslinux.info b/games/circuslinux/circuslinux.info
new file mode 100644
index 0000000000..e70e5cd6db
--- /dev/null
+++ b/games/circuslinux/circuslinux.info
@@ -0,0 +1,8 @@
+PRGNAM="circuslinux"
+VERSION="1.0.3"
+HOMEPAGE="http://www.newbreedsoftware.com/circus-linux/"
+DOWNLOAD="ftp://ftp.tuxpaint.org/unix/x/circus-linux/src/circuslinux-1.0.3.tar.gz"
+MD5SUM="d53f7d28d974c5605d6bebb9b1569216"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/games/circuslinux/doinst.sh b/games/circuslinux/doinst.sh
new file mode 100644
index 0000000000..ff5dd6d547
--- /dev/null
+++ b/games/circuslinux/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/games/circuslinux/slack-desc b/games/circuslinux/slack-desc
new file mode 100644
index 0000000000..6b7bb17381
--- /dev/null
+++ b/games/circuslinux/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+circuslinux: circuslinux (clone of the Atari 2600 game "Circus Atari")
+circuslinux:
+circuslinux: "Circus Linux!" is a clone of the Atari 2600 game "Circus Atari,"
+circuslinux: produced by Atari, Inc. (which is itself a clone of an earlier arcade
+circuslinux: game named, simply "Circus").
+circuslinux:
+circuslinux: The object is to move a teeter-totter back and forth across the
+circuslinux: screen to bounce clowns up into the air. When they reach the top,
+circuslinux: they pop rows of balloons and then fall back down.
+circuslinux:
+circuslinux: (The gameplay is similar to the classics "Breakout" and "Arkanoid.")